Skip to main content
GET
Get combo candlesticks

Query Parameters

condition_id
string

Combo condition id (0x-prefixed 32-byte hex)

position_id
string

Combo position id, decimal or 0x-prefixed hex

outcome_index
integer<int32>

Combo side when condition_id is used: 0 = YES, 1 = NO. Default: 0

Required range: x >= 0
resolution
enum<string>
required

Candle interval: 1S, 5S, 10S, 30S, 1, 5, 15, 30, 60, 240, D, 1D

Available options:
1S,
5S,
10S,
30S,
1,
5,
15,
30,
60,
240,
D,
1D
count_back
integer<int32>

Number of candles (default 500, max 2500)

from
integer<int64>

Start timestamp (Unix seconds)

to
integer<int64>

End timestamp (Unix seconds)

pagination_key
string

Cursor-based pagination key from previous response

Response

Combo OHLCV candlestick data

t
integer<int64>
required

Unix timestamp in milliseconds.

Required range: x >= 0
l
number<double> | null

Low price.

h
number<double> | null

High price.

o
number<double> | null

Open price.

c
number<double> | null

Close price.

v
number<double> | null

Total combo trade volume in USD.

tc
integer<int32> | null

Combo trade count.

m
number<double> | null

Volume-weighted mean price.

Last modified on July 28, 2026